news_0006 Зачем обновлять сайт на Joomla 1.5 до версии 2.5?    У вас есть сайт на Joomla 1.5? Тогда вам следует перейти на Joomla 2.5. Зачем необходимо обновлять сайт на Joomla?

     В принципе конечно можно и оставить работать сайт на Joomla 1.5, он будет так же продолжать работать в нормальном режиме, НО... С апреля 2012 года, поддержка версий ниже 2.х прекращена, а значит прекратился и выпуск обновлений безопасности.

     Таким образом, все проблемы безопасности, выявленные Вами, будут лишь Вашей проблемой, решать ее никто не будет. При достаточном опыте, можно конечно эти проблемы решать самому, и надеяться на самого себя, но надолго ли Вас хватит??

     По существующим в сети данным известно, что сайты на новой версии Joomla гораздо быстрее будут индексироваться в Google, чем с Joomla 1.5. так ли это, надо проверять, ведь для разного рода сайтов это будет либо истинно, либо ложно, так же это зависит от подготовки контента.

     Так зачем переходить на новую версию Joomla?

     Основные преимущества:
     техническая и информационная поддержка - поддержка Joomla 1.5 будет официально прекращена в апреле 2012 года.
     безопасность - это наверно самый главный аргумент. По заявлению самих разработчиков, в новой версии было устранено большое количество уязвимостей, и повышена стабильность ядра.
     расширенный функционал без применения сторонних модулей.
     увеличение скорости работы сайта на Joomla за счет более оптимальной работы кода движка.
     улучшенная локализация, выпуск дополнительных локализаций.
     большие преимущества в работе с VirtueMart 2.0.x и выше, за счет более быстрой работы ядра, более продуманной системы индексации в поисковых системах.
    
сайта клиента на старой версии Joomla находится у вас на сервере. Вы хотите потенциально ставить по угрозу безопасность остальных сайтов?Думаю ответ очевиден.

     Из недостатков в первое время появления движка можно было отметить такие как:
    
шаблоны от сайтов на Joomla 1.0 и  1.5 часто не подходили на новую версию, либо отображались мягко говоря коряво.
    
первое время была проблема с компонентами и плагинами, которая на данный момент в принципе отсутствует.

     С момента появления Joomla 2.5 в свет, были выработаны общепринятые правила:
     Если ваш сайт работает на Joomla 1.0 то Вам просто непременно необходимо обновиться, ибо такой сайт слишком уязвим.
     Если ваш сайт работает на Joomla 1.5 и функционирует отлично, то лучше его так и оставить на движке 1.5. На данный момент это правило уже не действует.
     Промежуточные версии 1.6-1.7 лучше избегать, и по возможности  сразу разрабатывать сайт на Joomla 2.5.

     Что делать если клиент не хочет переносить сайт на Joomla 2.5 или не имеют такой возможности?

     Это трудный вопрос.

     Вы хотите осуществлять поддержку сайтов на Joomla 1.5 после официальной смерти версии?
     Вы хотите искать компоненты компоненты и плагины, учитывая то, что поддержка на них уже как правило прекращена?
    
Если сайт клиента размещен на вашем сервере, вы хотите потенциально ставить по угрозу безопасность остальных сайтов?

     Выбор, обновлять Joomla или нет, остается за Вами ...

 reb Зачем обновлять сайт на Joomla 1.5 до версии 2.5?

Похожие статьи и материалы   Новинки на сайте